## teeworlds 0.6.5+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

file(STRINGS src/game/version.h VERSION_LINE
  LIMIT_COUNT 1
  REGEX GAME_RELEASE_VERSION
)

if(VERSION_LINE MATCHES "\"([0-9]+)\\.([0-9]+)\\.([0-9]+)\"")
  set(VERSION_MAJOR ${CMAKE_MATCH_1})
  set(VERSION_MINOR ${CMAKE_MATCH_2})
  set(VERSION_PATCH ${CMAKE_MATCH_3})
elseif(VERSION_LINE MATCHES "\"([0-9]+)\\.([0-9]+)\"")
  set(VERSION_MAJOR ${CMAKE_MATCH_1})
  set(VERSION_MINOR ${CMAKE_MATCH_2})
  set(VERSION_PATCH "0")
else()
  message(FATAL_ERROR "Couldn't parse version from src/game/version.h")
endif()

if(POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
  if(VERSION_PATCH STREQUAL "0")
    project(teeworlds VERSION ${VERSION_MAJOR}.${VERSION_MINOR})
  else()
    project(teeworlds VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
  endif()
else()
  project(teeworlds)
  set(PROJECT_VERSION_MAJOR ${VERSION_MAJOR})
  set(PROJECT_VERSION_MINOR ${VERSION_MINOR})
  set(PROJECT_VERSION_PATCH ${VERSION_PATCH})
  if(VERSION_PATCH STREQUAL "0")
    set(PROJECT_VERSION ${VERSION_MAJOR}.${VERSION_MINOR})
  else()
    set(PROJECT_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
  endif()
endif()

set(ORIGINAL_CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH})
set(ORIGINAL_CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES})
set(ORIGINAL_CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES})
set(OWN_CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)
set(CMAKE_MODULE_PATH ${OWN_CMAKE_MODULE_PATH})

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
  set(TARGET_BITS "64")
elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
  set(TARGET_BITS "32")
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
  set(TARGET_OS "windows")
elseif(CMAKE_SYSTEM_NAME STREQUAL "Linux")
  set(TARGET_OS "linux")
elseif(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
  set(TARGET_OS "mac")
endif()

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckSymbolExists)

check_symbol_exists(__i386 "" TARGET_ARCH_X86_i386)
if(TARGET_ARCH_X86_i386)
  set(TARGET_ARCH x86)
else()
  set(TARGET_ARCH)
endif()

set(AUTO_DEPENDENCIES_DEFAULT OFF)
if(TARGET_OS STREQUAL "windows")
  set(AUTO_DEPENDENCIES_DEFAULT ON)
endif()

option(CLIENT "Compile client" ON)
option(PREFER_BUNDLED_LIBS "Prefer bundled libraries over system libraries" ${AUTO_DEPENDENCIES_DEFAULT})
option(DEV "Don't generate stuff necessary for packaging" OFF)

# Set the default build type to Release
if(NOT(CMAKE_BUILD_TYPE))
  if(DEV)
    set(CMAKE_BUILD_TYPE Release)
  else()
    set(CMAKE_BUILD_TYPE Debug)
  endif()
endif()

set(DBG $<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>)

set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS
  src/game/version.h
)

set(SERVER_EXECUTABLE teeworlds_srv CACHE STRING "Name of the built server executable")
set(CLIENT_EXECUTABLE teeworlds CACHE STRING "Name of the build client executable")

########################################################################
# Compiler flags
########################################################################

function(add_c_compiler_flag_if_supported VARIABLE FLAG)
  if(ARGC GREATER 2)
    set(CHECKED_FLAG "${ARGV2}")
  else()
    set(CHECKED_FLAG "${FLAG}")
  endif()
  string(REGEX REPLACE "[^A-Za-z0-9]" "_" CONFIG_VARIABLE "FLAG_SUPPORTED${CHECKED_FLAG}")
  check_c_compiler_flag("${CHECKED_FLAG}" ${CONFIG_VARIABLE})
  if(${CONFIG_VARIABLE})
    if(${VARIABLE})
      set("${VARIABLE}" "${${VARIABLE}};${FLAG}" PARENT_SCOPE)
    else()
      set("${VARIABLE}" "${FLAG}" PARENT_SCOPE)
    endif()
  endif()
endfunction()

if(NOT MSVC)
  # Protect the stack pointer.
  # -fstack-protector-all doesn't work on MinGW.
  add_c_compiler_flag_if_supported(OUR_FLAGS -fstack-protector-all)

  # Inaccurate floating point numbers cause problems on mingw-w64-gcc when
  # compiling for x86, might cause problems elsewhere. So don't store floats
  # in registers but keep them at higher accuracy.

  if(TARGET_ARCH STREQUAL "x86")
    add_c_compiler_flag_if_supported(OUR_FLAGS -ffloat-store)
  endif()

  if(TARGET_OS STREQUAL "mac")
    add_c_compiler_flag_if_supported(OUR_FLAGS -stdlib=libc++)
    add_c_compiler_flag_if_supported(OUR_FLAGS -mmacosx-version-min=10.7)
  endif()

  add_c_compiler_flag_if_supported(OUR_FLAGS_OWN -Wall)
  if(CMAKE_VERSION VERSION_GREATER 3.3 OR CMAKE_VERSION VERSION_EQUAL 3.3)
    add_c_compiler_flag_if_supported(OUR_FLAGS_OWN
      $<$<COMPILE_LANGUAGE:C>:-Wdeclaration-after-statement>
      -Wdeclaration-after-statement
    )
  endif()
  add_c_compiler_flag_if_supported(OUR_FLAGS_OWN -Wextra)
  add_c_compiler_flag_if_supported(OUR_FLAGS_OWN -Wno-unused-parameter)
  add_c_compiler_flag_if_supported(OUR_FLAGS_OWN -Wno-missing-field-initializers)
  add_c_compiler_flag_if_supported(OUR_FLAGS_OWN -Wformat=2) # Warn about format strings.
  add_c_compiler_flag_if_supported(OUR_FLAGS_DEP -Wno-implicit-function-declaration)
endif()

if(NOT MSVC)
  check_c_compiler_flag("-O2;-Wp,-Werror;-D_FORTIFY_SOURCE=2" DEFINE_FORTIFY_SOURCE) # Some distributions define _FORTIFY_SOURCE by themselves.
endif()

########################################################################
# COMMON FUNCTIONS
########################################################################

function(set_glob VAR GLOBBING DIRECTORY) # ...
  file(${GLOBBING} GLOB_RESULT "${DIRECTORY}/*.c" "${DIRECTORY}/*.cpp" "${DIRECTORY}/*.h")
  list(SORT GLOB_RESULT)
  set(FILES)
  foreach(file ${ARGN})
    list(APPEND FILES "${PROJECT_SOURCE_DIR}/${DIRECTORY}/${file}")
  endforeach()

  if(NOT FILES STREQUAL GLOB_RESULT)
    message(AUTHOR_WARNING "${VAR} does not contain every file from directory ${DIRECTORY}")
    set(LIST_BUT_NOT_GLOB)
    if(POLICY CMP0057)
      cmake_policy(SET CMP0057 NEW)
      foreach(file ${FILES})
        if(NOT file IN_LIST GLOB_RESULT)
          list(APPEND LIST_BUT_NOT_GLOB ${file})
        endif()
      endforeach()
      if(LIST_BUT_NOT_GLOB)
        message(AUTHOR_WARNING "Entries only present in ${VAR}: ${LIST_BUT_NOT_GLOB}")
      endif()
      set(GLOB_BUT_NOT_LIST)
      foreach(file ${GLOB_RESULT})
        if(NOT file IN_LIST FILES)
          list(APPEND GLOB_BUT_NOT_LIST ${file})
        endif()
      endforeach()
      if(GLOB_BUT_NOT_LIST)
        message(AUTHOR_WARNING "Entries only present in ${DIRECTORY}: ${GLOB_BUT_NOT_LIST}")
      endif()
    endif()
  endif()

  set(${VAR} ${FILES} PARENT_SCOPE)
endfunction()

########################################################################
# INITIALIZE TARGET LISTS
########################################################################

set(TARGETS_OWN)
set(TARGETS_DEP)

set(TARGETS_LINK) # Targets with a linking stage.

########################################################################
# DEPENDENCIES
########################################################################

function(set_extra_dirs_lib VARIABLE NAME)
  set("PATHS_${VARIABLE}_LIBDIR" PARENT_SCOPE)
  set("HINTS_${VARIABLE}_LIBDIR" PARENT_SCOPE)
  if(PREFER_BUNDLED_LIBS)
    set(TYPE HINTS)
  else()
    set(TYPE PATHS)
  endif()
  if(TARGET_BITS AND TARGET_OS)
    set(DIR "other/${NAME}/${TARGET_OS}/lib${TARGET_BITS}")
    set("${TYPE}_${VARIABLE}_LIBDIR" "${DIR}" PARENT_SCOPE)
    set("EXTRA_${VARIABLE}_LIBDIR" "${DIR}" PARENT_SCOPE)
  endif()
endfunction()

function(set_extra_dirs_include VARIABLE NAME LIBRARY)
  set("PATHS_${VARIABLE}_INCLUDEDIR" PARENT_SCOPE)
  set("HINTS_${VARIABLE}_INCLUDEDIR" PARENT_SCOPE)
  is_bundled(IS_BUNDLED "${LIBRARY}")
  if(IS_BUNDLED)
    set("HINTS_${VARIABLE}_INCLUDEDIR" "other/${NAME}/include" "other/${NAME}/include/${TARGET_OS}" PARENT_SCOPE)
  endif()
endfunction()

if(CMAKE_CROSSCOMPILING)
  set(CROSSCOMPILING_NO_CMAKE_SYSTEM_PATH NO_CMAKE_SYSTEM_PATH)
else()
  set(CROSSCOMPILING_NO_CMAKE_SYSTEM_PATH)
endif()

function(is_bundled VARIABLE PATH)
  if(PATH)
    string(FIND "${PATH}" "${PROJECT_SOURCE_DIR}" LOCAL_PATH_POS)
    if(LOCAL_PATH_POS EQUAL 0 AND TARGET_BITS AND TARGET_OS)
      set("${VARIABLE}" ON PARENT_SCOPE)
    else()
      set("${VARIABLE}" OFF PARENT_SCOPE)
    endif()
  else()
    set("${VARIABLE}" OFF PARENT_SCOPE)
  endif()
endfunction()

if(NOT CMAKE_CROSSCOMPILING)
  # Check for PkgConfig once so all the other `find_package` calls can do it
  # quietly.
  find_package(PkgConfig)
endif()
find_package(ZLIB)
find_package(Freetype)
find_package(Git)
find_package(Pnglite)
find_package(PythonInterp)
find_package(SDL)
find_package(Threads)
find_package(Wavpack)


if(TARGET_OS AND TARGET_OS STREQUAL "mac")
  find_program(DMG dmg)
  find_program(HFSPLUS hfsplus)
  find_program(NEWFS_HFS newfs_hfs)
  if(DMG AND HFSPLUS AND NEWFS_HFS)
    set(DMGTOOLS_FOUND ON)
  else()
    set(DMGTOOLS_FOUND OFF)
  endif()

  find_program(HDIUTIL hdiutil)
endif()

message(STATUS "******** Teeworlds ********")
message(STATUS "Target OS: ${TARGET_OS} ${TARGET_BITS}bit")
message(STATUS "Compiler: ${CMAKE_CXX_COMPILER}")
message(STATUS "Build type: ${CMAKE_BUILD_TYPE}")

message(STATUS "Dependencies:")
function(show_dependency_status OUTPUT_NAME NAME)
  if(${NAME}_FOUND)
    if(${NAME}_BUNDLED)
      message(STATUS " * ${OUTPUT_NAME} not found (using bundled version)")
    else()
      message(STATUS " * ${OUTPUT_NAME} found")
    endif()
  else()
    message(STATUS " * ${OUTPUT_NAME} not found")
  endif()
endfunction()

if(TARGET_OS AND TARGET_OS STREQUAL "mac")
  show_dependency_status("Dmg tools" DMGTOOLS)
endif()
show_dependency_status("Freetype" FREETYPE)
if(TARGET_OS AND TARGET_OS STREQUAL "mac")
  show_dependency_status("Hdiutil" HDIUTIL)
endif()
show_dependency_status("Pnglite" PNGLITE)
show_dependency_status("PythonInterp" PYTHONINTERP)
show_dependency_status("SDL" SDL)
show_dependency_status("Wavpack" WAVPACK)
show_dependency_status("Zlib" ZLIB)

if(NOT(PYTHONINTERP_FOUND))
  message(SEND_ERROR "You must install Python to compile Teeworlds")
endif()

if(CLIENT AND NOT(FREETYPE_FOUND))
  message(SEND_ERROR "You must install Freetype to compile the Teeworlds client")
endif()
if(CLIENT AND NOT(SDL_FOUND))
  message(SEND_ERROR "You must install SDL to compile the Teeworlds client")
endif()

if(TARGET_OS STREQUAL "windows")
  set(PLATFORM_CLIENT)
  set(PLATFORM_CLIENT_LIBS opengl32 glu32 winmm)
  set(PLATFORM_LIBS ws2_32) # Windows sockets
elseif(TARGET_OS STREQUAL "mac")
  find_library(CARBON Carbon)
  find_library(COCOA Cocoa)
  find_library(OPENGL OpenGL)
  set(PLATFORM_CLIENT
    src/osxlaunch/client.h
    src/osxlaunch/client.m
  )
  set(PLATFORM_CLIENT_LIBS ${COCOA} ${OPENGL})
  set(PLATFORM_LIBS ${CARBON})
else()
  set(PLATFORM_CLIENT)
  set(PLATFORM_CLIENT_LIBS GL GLU X11)
  if(TARGET_OS STREQUAL "linux")
    set(PLATFORM_LIBS rt) # clock_gettime for glibc < 2.17
  else()
    set(PLATFORM_LIBS)
  endif()
endif()

########################################################################
# DEPENDENCY COMPILATION
########################################################################

set_glob(DEP_MD5_SRC GLOB src/engine/external/md5 md5.c md5.h)
add_library(md5 EXCLUDE_FROM_ALL OBJECT ${DEP_MD5_SRC})

list(APPEND TARGETS_DEP md5)
set(DEP_MD5 $<TARGET_OBJECTS:md5>)

########################################################################
# COPY DATA AND DLLS
########################################################################

file(COPY data DESTINATION .)
set(COPY_FILES
  ${FREETYPE_COPY_FILES}
  ${SDL_COPY_FILES}
)
file(COPY ${COPY_FILES} DESTINATION .)

########################################################################
# CODE GENERATION
########################################################################

function(chash output_file)
  add_custom_command(OUTPUT ${output_file}
    COMMAND ${PYTHON_EXECUTABLE} scripts/cmd5.py ${ARGN}
      > "${PROJECT_BINARY_DIR}/${output_file}"
    DEPENDS scripts/cmd5.py ${ARGN}
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
  )
endfunction()

function(generate_source output_file script_parameter)
  add_custom_command(OUTPUT ${output_file}
    COMMAND ${PYTHON_EXECUTABLE} datasrc/compile.py ${script_parameter}

## teeworlds 0.5.2

=== debian/changelog ===
teeworlds (0.5.2-2) unstable; urgency=low

  * Only fix permissions of data files when arch-all packages are built.
    (Closes: #586534)
  * Add -Wl,--as-needed to LDFLAGS.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Jun 2010 18:50:29 +0200

teeworlds (0.5.2-1) unstable; urgency=low

  * New upstream release. (Closes: #559938, LP: #559922)
  * Add myself as uploader.
  * Fix loading of sound files. (Closes: #551906)
  * Add set-data-dir.patch to hardcode the data dir location.
  * Remove wrapper scripts, they aren't needed anymore as the data dir is
    hardcoded and teeworlds suppresses the screensaver by using SDL.
  * Add ${misc:Depends} to teeworlds-data dependencies.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Switch to dh7 rules and source format 3.0 (quilt).
  * Bump debian/compat to 7.
  * Add pass-build-flags.patch to pass CFLAGS and LDFLAGS to the build system.
  * Remove unneeded build-dependencies.
  * Don't remove embedded libs in the clean target.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 01 Jun 2010 15:32:53 +0200

teeworlds (0.5.1-4) unstable; urgency=low

  * update the wrapper to poke the screensaver with dbus-send

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 22 Aug 2009 16:31:32 +0200

teeworlds (0.5.1-3) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Clean: clean the teeworld binary, the embedded libs and correctly
    call unpatch 
  * refresh the system-libs.patch and new-wavpack.patch and apply them

  [ Paul Wise ]
  * Fix bashism in the --help option of the teeworlds-server script
    (Closes: #530198)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 10 May 2009 23:38:35 +0200

teeworlds (0.5.1-2) unstable; urgency=low

  * Fix the ouput of teeworlds-server --help with /bin/sh ->
    /bin/bash (Closes: #511600)
  * Standard version 3.8.1

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 12 Apr 2009 02:32:37 +0200

teeworlds (0.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #511875, #517002)
   - Bam has its own release now
   - Update debian/copyright
   - BuildDepends on libsdl1.2-dev
   - Update the clean target
  * teeworlds-server doesn't suggest teeworlds-server anymore

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Fri, 23 Jan 2009 23:09:01 +0100

teeworlds (0.4.3-3) experimental; urgency=low

  * add a loop in teeworld wrapper to poke the screensaver and avoid freeze
    (Closes: #480902)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 11 Jan 2009 20:05:45 +0100

teeworlds (0.4.3-2) experimental; urgency=low

  [ Gonéri Le Bouder ]
  * Apply Michel Dänzer patch to avoid crash on big endian arch
    (Closes: #504704)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 14 Dec 2008 01:55:34 +0100

teeworlds (0.4.3-1) experimental; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Add Homepage field 

  [ Miriam Ruiz ]
  * Upgraded Standards-Version from 3.7.3 to 3.8.0: No changes needed
  * Added README.source file

  [ Gonéri Le Bouder ]
  * New Upstream Release
  * Refresh the patches
  * Don't link against libasound2 anymore
   + add dont-link-with-asound.diff
   + remove libasound2-dev from the build-deps
  * Add myself in uploader
  * Versioned dependency against teeworlds-data (= ${source:Version})

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 04 Nov 2008 00:54:25 +0100

teeworlds (0.4.2-2) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Fix the build on SPARC (Closes: #481817)
   + add fix-bam-FTBFS.patch

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Tue, 28 Oct 2008 23:53:17 +0100

teeworlds (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #460848)

 -- Jack Coulter <jscinoz@gmail.com>  Sun, 13 Apr 2008 18:48:12 +1000

=== debian/control ===
Source: teeworlds
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 7.0.50~),
               bam,
               python,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libpnglite-dev,
               libsdl1.2-dev,
               libwavpack-dev,
               libx11-dev,
               zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://www.teeworlds.com/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/teeworlds
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/teeworlds/?op=log

Package: teeworlds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, teeworlds-data (= ${source:Version})
Suggests: teeworlds-server
Description: An online multi-player platform 2D shooter
 This package contains the client binary for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.

Package: teeworlds-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, teeworlds-data (= ${source:Version})
Description: Server for Teeworlds; an online multi-player platform 2D shooter
 This package contains the server binary for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.

Package: teeworlds-data
Architecture: all
Depends: ${misc:Depends}
Suggests: teeworlds-server, teeworlds
Description: Data for Teeworlds; an online multi-player platform 2D shooter
 This package contains the static data for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS += -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	echo "release_settings.cc.optimize = 0" >> debian.bam
	echo "release_settings.cc.flags:Add(\"$(CFLAGS)\")" >> debian.bam
	echo "release_settings.link.inputflags = release_settings.link.inputflags .. \" $(LDFLAGS)\"" >> debian.bam
	bam -v release

override_dh_auto_install:
	mv teeworlds_srv teeworlds-server

override_dh_auto_clean:
	touch debian.bam
	bam -c
	find -type f -name '*.o' -exec rm {} \;
	rm -rf tmp.* config.bam debian.bam fake_server map_resave crapnet tileset_borderfix
	rm -rf teeworlds_srv teeworlds-server dilate versionsrv packetgen mastersrv teeworlds
	rm -f datasrc/*.pyc 

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter teeworlds-data, $(shell dh_listpackages)))
	find debian/teeworlds-data -type f -exec chmod 644 {} \;
endif

## teeworlds 0.6.0

=== debian/changelog ===
teeworlds (0.6.0-2~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Wed, 13 Jul 2011 10:24:48 +0000

teeworlds (0.6.0-2) unstable; urgency=low

  * Only replace the embedded DejaVuSans.ttf when teeworlds-data is
    actually built.
  * Document the DejaVu license in debian/copyright.
  * Fix FTBFS on GNU Hurd, thanks to Pino Toscano.
    - Add fix-ftbfs-hurd.patch

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 19 May 2011 12:32:21 +0200

teeworlds (0.6.0-1) unstable; urgency=low

  * New upstream release. (Closes: #625651)
    - Fixes FTBFS with gcc 4.6. (Closes: #624977)
  * Refresh patches.
  * Add libfreetype6-dev to build-depends.
  * Immediately abort bam on error.
  * Update Vcs control fields, package moved to git.
  * Switch to debhelper compat level 8.
  * Set minimal bam version to 0.4.
  * In clean target: don't fail if calling bam returns an error.
  * teeworlds doesn't suggest teeworlds-server anymore.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Replace embedded copy of DejaVuSans.ttf with a symlink and make
    teeworlds-data depend on ttf-dejavu-core.
  * Fix lintian warning description-synopsis-starts-with-article.
  * Replace the custom icon with the offical ones extracted from an ico file.
    - Build-depend on icoutils and imagemagick.
  * Fix FTBFS on kfreebsd.
    - Add fix-ftbfs-kfreebsd.patch
  * Use gcc macros instead of an incomplete list of architectures to detect
    the endianness.
    - Add gcc-endianness.patch
  * Remove map_version in the clean target.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 18 May 2011 14:35:24 +0200

=== debian/control ===
Source: teeworlds
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 8),
               bam (>= 0.4),
               icoutils,
               imagemagick,
               python,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libpnglite-dev,
               libsdl1.2-dev,
               libwavpack-dev,
               libx11-dev,
               zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.teeworlds.com/
Vcs-Git: git://git.debian.org/pkg-games/teeworlds.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/teeworlds.git

Package: teeworlds
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         teeworlds-data (= ${source:Version})
Description: online multi-player platform 2D shooter
 This package contains the client binary for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.

Package: teeworlds-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         teeworlds-data (= ${source:Version})
Description: server for Teeworlds; an online multi-player platform 2D shooter
 This package contains the server binary for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.

Package: teeworlds-data
Architecture: all
Depends: ${misc:Depends},
         ttf-dejavu-core
Suggests: teeworlds-server, teeworlds
Description: data for Teeworlds; an online multi-player platform 2D shooter
 This package contains the static data for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.

=== debian/watch ===
version=3
http://www.teeworlds.com/?page=downloads (?:.*)/teeworlds-([\d.]+)-src.tar.gz

## teeworlds 0.6.1+dfsg

=== debian/changelog ===
teeworlds (0.6.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repackage upstream tarball to remove pre-compiled libraries.
  * Update watch file.
  * Refresh patches.
  * Drop patches that have been applied upstream: fix-ftbfs-hurd.patch,
    fix-ftbfs-kfreebsd.patch and gcc-endianness.patch.
  * Use dh_link to create the DejaVuSans.ttf symlink.
  * Query dpkg-buildflags instead of relying on dpkg-buildpackage to set the
    environment variables.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 05 Aug 2011 15:02:49 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

upstreamversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')

%:
	dh $@

override_dh_auto_build:
	echo "release_settings.optimize = 0" >> debian.lua
	echo "release_settings.cc.flags:Add(\"$(CFLAGS)\")" >> debian.lua
	echo "release_settings.link.inputflags = release_settings.link.inputflags .. \" $(LDFLAGS)\"" >> debian.lua
	bam -a -v release

override_dh_auto_install:
	mv teeworlds_srv teeworlds-server

	mkdir debian/icotmp
	icotool -x -o debian/icotmp other/icons/Teeworlds.ico
	set -e && for size in 16 24 32 48 128 256; do \
		mkdir -p debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps; \
		mv debian/icotmp/Teeworlds_*_$${size}x$${size}x32.png \
		  debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps/teeworlds.png; \
	done
	rmdir debian/icotmp

	mkdir -p debian/teeworlds/usr/share/pixmaps
	convert debian/teeworlds/usr/share/icons/hicolor/32x32/apps/teeworlds.png \
	  debian/teeworlds/usr/share/pixmaps/teeworlds.xpm

override_dh_auto_clean:
	touch debian.lua
	-bam -c
	find -type f -name '*.o' -exec rm {} \;
	rm -rf tmp.* config.bam debian.lua fake_server map_resave map_version crapnet tileset_borderfix
	rm -rf teeworlds_srv teeworlds-server dilate versionsrv packetgen mastersrv teeworlds
	rm -rf .bam debian/icotmp
	rm -f datasrc/*.pyc config.lua

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter teeworlds-data, $(shell dh_listpackages)))
	find debian/teeworlds-data -type f -exec chmod 644 {} \;
endif

dfsg-free:
	rm -r docs/tool
	rm -r other/freetype/include
	rm -r other/freetype/lib
	rm -r other/sdl/include
	rm -r other/sdl/vc*libs
	rm -r src/engine/external
	rm data/fonts/DejaVuSans.ttf
	rm data/fonts/LICENSE
	
	cd ..; mv $(CURDIR) teeworlds-$(upstreamversion)-dfsg; \
	    tar --exclude debian \
	        -czf teeworlds_$(upstreamversion)+dfsg.orig.tar.gz \
	        teeworlds-$(upstreamversion)-dfsg

## teeworlds 0.6.2+dfsg

=== debian/changelog ===
teeworlds (0.6.2+dfsg-2) unstable; urgency=high

  * Fix a server crash that is remotely exploitable. (Closes: #770514)
    - Add fixed_a_server_crash.patch, cherry picked from 0.6.3.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 23 Nov 2014 16:45:28 +0100

teeworlds (0.6.2+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Update patches.
  * Pass $CPPFLAGS to the build system.
  * Switch to my @debian.org email address.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Change Vcs host to anonscm.debian.org.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 05 May 2013 09:49:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <debfx-pkg@fobos.de>
+Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper (>= 8),
                bam (>= 0.4),
                icoutils,
@@ -16,10 +16,10 @@
                libwavpack-dev,
                libx11-dev,
                zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.teeworlds.com/
-Vcs-Git: git://git.debian.org/pkg-games/teeworlds.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/teeworlds.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/teeworlds.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/teeworlds.git
 
 Package: teeworlds
 Architecture: any

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg$// \
  http://www.teeworlds.com/?page=downloads (?:.*)/teeworlds-([\d.]+)-(?:src|source).tar.gz

## teeworlds 0.6.3+dfsg

=== debian/changelog ===
teeworlds (0.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #789979)
    - Drop fixed_a_server_crash.patch, applied upstream.
  * Make teeworlds-data depend on fonts-dejavu-core instead of ttf-dejavu-core.
    (Closes: #709939)
  * Drop Debian menu entry.
  * Enable all hardening build flags.
  * Use Files-Excluded copyright field for repacking source tarball.
  * Switch to debhelper compat level 9.
  * Use https in Vcs-* and Homepage URLs.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 25 Apr 2016 20:35:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                bam (>= 0.4),
                icoutils,
-               imagemagick,
                python,
                libfreetype6-dev,
                libgl1-mesa-dev,
                libglu1-mesa-dev,
-               libpnglite-dev,
+               libpnglite-dev (>= 0.1.17-2~),
                libsdl1.2-dev,
                libwavpack-dev,
                libx11-dev,
                zlib1g-dev
-Standards-Version: 3.9.4
-Homepage: http://www.teeworlds.com/
-Vcs-Git: git://anonscm.debian.org/pkg-games/teeworlds.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/teeworlds.git
+Standards-Version: 3.9.8
+Homepage: https://www.teeworlds.com/
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/teeworlds.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/teeworlds.git
 
 Package: teeworlds
 Architecture: any
@@ -48,7 +47,7 @@
 Package: teeworlds-data
 Architecture: all
 Depends: ${misc:Depends},
-         ttf-dejavu-core
+         fonts-dejavu-core
 Suggests: teeworlds-server, teeworlds
 Description: data for Teeworlds; an online multi-player platform 2D shooter
  This package contains the static data for Teeworlds.

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
  https://www.teeworlds.com/?page=downloads (?:.*)/teeworlds-([\d.]+)-(?:src|source).tar.gz

## teeworlds 0.6.4+dfsg

=== debian/changelog ===
teeworlds (0.6.4+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Disable pie hardening flags since pnglite is only available as a
    static library.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 17 Nov 2016 21:05:13 +0100

teeworlds (0.6.4+dfsg-1) unstable; urgency=high

  * New upstream release.
    - Fixes possible remote code execution on the client. (Closes: #844546)
  * Refresh new-wavpack.patch
  * Drop patches that have been fixed upstream:
    - fix-gcc6-rename-round.patch
    - fix-gcc6-var-types.patch
    - reset-nethash.patch

 -- Felix Geyer <fgeyer@debian.org>  Thu, 17 Nov 2016 20:57:15 +0100

teeworlds (0.6.3+dfsg-3) unstable; urgency=medium

  * Reset nethash to the one of pristine 0.6.3.
    - We haven't done any functional changes.
    - Add d/p/reset-nethash.patch
    - Closes: #834285
  * Add keywords to the desktop file.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 14 Aug 2016 10:47:58 +0200

teeworlds (0.6.3+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with GCC 6. (Closes: #811757)
    - Add fix-gcc6-rename-round.patch
    - Add fix-gcc6-var-types.patch

 -- Felix Geyer <fgeyer@debian.org>  Fri, 01 Jul 2016 19:29:57 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libfreetype6-dev,
                libgl1-mesa-dev,
                libglu1-mesa-dev,
-               libpnglite-dev (>= 0.1.17-2~),
+               libpnglite-dev,
                libsdl1.2-dev,
                libwavpack-dev,
                libx11-dev,
@@ -18,7 +18,7 @@
 Standards-Version: 3.9.8
 Homepage: https://www.teeworlds.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/teeworlds.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/teeworlds.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/teeworlds.git
 
 Package: teeworlds
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	echo "release_settings.optimize = 0" >> debian.lua
	echo "release_settings.cc.flags:Add(\"$(CFLAGS) $(CPPFLAGS)\")" >> debian.lua
	echo "release_settings.link.inputflags = release_settings.link.inputflags .. \" $(LDFLAGS)\"" >> debian.lua
	bam -a -v release

override_dh_auto_install:
	mv teeworlds_srv teeworlds-server

	mkdir debian/icotmp
	icotool -x -o debian/icotmp other/icons/Teeworlds.ico
	set -e && for size in 16 24 32 48 128 256; do \
		mkdir -p debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps; \
		mv debian/icotmp/Teeworlds_*_$${size}x$${size}x32.png \
		  debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps/teeworlds.png; \
	done
	rmdir debian/icotmp

override_dh_auto_clean:
	touch debian.lua
	-bam -c
	find -type f -name '*.o' -exec rm {} \;
	rm -rf tmp.* config.bam debian.lua fake_server map_resave map_version crapnet tileset_borderfix
	rm -rf teeworlds_srv teeworlds-server dilate versionsrv packetgen mastersrv teeworlds
	rm -rf .bam debian/icotmp
	rm -f datasrc/*.pyc config.lua

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter teeworlds-data, $(shell dh_listpackages)))
	find debian/teeworlds-data -type f -exec chmod 644 {} \;
endif

## teeworlds 0.6.5+dfsg

=== debian/changelog ===
teeworlds (0.6.5+dfsg-1~deb9u1) stretch-security; urgency=high

  * Team upload.
  * New upstream version 0.6.5+dfsg.
    Fix CVE-2018-18541: remote denial-of-service vulnerability in
    teeworlds-server. (Closes: #911487)

 -- Markus Koschany <apo@debian.org>  Sat, 27 Oct 2018 17:02:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
@@ -9,6 +9,8 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
 
 override_dh_auto_build:
 	echo "release_settings.optimize = 0" >> debian.lua
@@ -20,10 +22,10 @@
 	mv teeworlds_srv teeworlds-server
 
 	mkdir debian/icotmp
-	icotool -x -o debian/icotmp other/icons/Teeworlds.ico
+	icotool -x -o debian/icotmp other/icons/teeworlds.ico
 	set -e && for size in 16 24 32 48 128 256; do \
 		mkdir -p debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps; \
-		mv debian/icotmp/Teeworlds_*_$${size}x$${size}x32.png \
+		mv debian/icotmp/teeworlds_*_$${size}x$${size}x32.png \
 		  debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps/teeworlds.png; \
 	done
 	rmdir debian/icotmp

## teeworlds 0.7.0

=== debian/changelog ===
teeworlds (0.7.0-1~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Markus Koschany <apo@debian.org>  Sat, 17 Nov 2018 17:59:04 +0100

teeworlds (0.7.0-1) unstable; urgency=high

  * Team upload.
  * New upstream version 0.7.0
    - No longer repack the tarball because it is DFSG-compliant.
    - However see README.source. We have to add maps and translations manually
      because network connections at build time are not allowed.
    - Fix CVE-2018-18541: remote denial-of-service vulnerability in
      teeworlds-server. (Closes: #911487)
    - Use pkg-config to detect libraries. (Closes: #892351)
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Update debian/watch and track new releases on github.com.
  * Update debian/copyright for new release.
  * Rebase all patches for new release.
  * Switch from SDL 1 to SDL 2.
  * Use bam -t option for more verbosity.
  * Do not create debian.lua anymore.
  * Add portability.patch and don't make the build fail if we build on
    non-supported architectures.
  * Add builddir.patch and use a more predictable location for build output
    files.
  * Provide a systemd service file for teeworlds-server.
    Install a new teeworlds.service file but disable the server by default.
    Explain in README.Debian what steps are needed to run a server.
    (Closes: #536107)

 -- Markus Koschany <apo@debian.org>  Sat, 27 Oct 2018 12:11:25 +0200

=== debian/control ===
Source: teeworlds
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper (>= 10),
               bam (>= 0.5.1),
               icoutils,
               python,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libpnglite-dev (>= 0.1.17-2~),
               libsdl2-dev,
               libwavpack-dev,
               libx11-dev,
               zlib1g-dev
Standards-Version: 4.2.1
Homepage: https://www.teeworlds.com/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/teeworlds.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/teeworlds.git

Package: teeworlds
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         teeworlds-data (= ${source:Version})
Description: online multi-player platform 2D shooter
 This package contains the client binary for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily
 on classic shooter weaponry and gameplay.
 The controls are heavily inspired by the FPS genre of computer games.

Package: teeworlds-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         teeworlds-data (= ${source:Version})
Recommends:
 gawk
Description: server for Teeworlds; an online multi-player platform 2D shooter
 This package contains the server binary for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily
 on classic shooter weaponry and gameplay.
 The controls are heavily inspired by the FPS genre of computer games.

Package: teeworlds-data
Architecture: all
Depends: ${misc:Depends},
         fonts-dejavu-core
Suggests: teeworlds-server, teeworlds
Description: data for Teeworlds; an online multi-player platform 2D shooter
 This package contains the static data for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily
 on classic shooter weaponry and gameplay.
 The controls are heavily inspired by the FPS genre of computer games.

## teeworlds 0.7.2

=== debian/changelog ===
teeworlds (0.7.2-5ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Apr 2020 13:15:58 +0200

teeworlds (0.7.2-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:27 +0100

teeworlds (0.7.2-5) unstable; urgency=medium

  * Team upload.
  * Backport other commits to improve patches for CVE-2019-10877,
     CVE-2019-10878 and CVE-2019-10879.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 May 2019 07:41:59 +0200

teeworlds (0.7.2-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patches to fix CVE-2019-10877 CVE-2019-10878 CVE-2019-10879
     (Closes: #927152).
  * Add upstream patch to fix creation of recursive path. (Closes: #928110)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 May 2019 22:14:03 +0200

teeworlds (0.7.2-3) unstable; urgency=medium

  * Stop building with -msse2 on i386. (Closes: #921274)
    - Cherry-pick upstream fix as no-sse2-required.patch

 -- Felix Geyer <fgeyer@debian.org>  Thu, 28 Feb 2019 22:35:34 +0100

teeworlds (0.7.2-2) unstable; urgency=medium

  * Team upload.
  * Apply upstream's patch for immintrin.h and include it only on amd64 and
    i386. This fixes a FTBFS on all other Debian architectures.

 -- Markus Koschany <apo@debian.org>  Thu, 03 Jan 2019 10:28:18 +0100

teeworlds (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.2.
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Wed, 02 Jan 2019 19:26:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                bam (>= 0.5.1),
                icoutils,
-               python,
+               python2,
                libfreetype6-dev,
                libgl1-mesa-dev,
                libglu1-mesa-dev,
@@ -15,10 +15,10 @@
                libwavpack-dev,
                libx11-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.teeworlds.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/teeworlds.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/teeworlds.git
+Vcs-Git: https://salsa.debian.org/games-team/teeworlds.git
+Vcs-Browser: https://salsa.debian.org/games-team/teeworlds
 
 Package: teeworlds
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	# Ensure we don't use embedded libs
	$(RM) -r src/engine/external/zlib
	$(RM) -r src/engine/external/pnglite
	$(RM) -r src/engine/external/wavpack
	bam -a -t -v

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_auto_install:
	mv build/output/teeworlds_srv build/output/teeworlds-server
	mkdir debian/icotmp
	icotool -x -o debian/icotmp other/icons/Teeworlds.ico
	set -e && for size in 16 24 32 48 128 256; do \
		mkdir -p debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps; \
		mv debian/icotmp/Teeworlds_*_$${size}x$${size}x32.png \
		  debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps/teeworlds.png; \
	done
	rmdir debian/icotmp

override_dh_auto_clean:
	-bam -c
	find -type f -name '*.o' -exec rm {} \;
	rm -rf tmp.* config.bam fake_server map_resave map_version crapnet tileset_borderfix
	rm -rf teeworlds_srv teeworlds-server dilate versionsrv packetgen mastersrv teeworlds
	rm -rf .bam debian/icotmp
	rm -f datasrc/*.pyc config.lua
	$(RM) -r build/output

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter teeworlds-data, $(shell dh_listpackages)))
	find debian/teeworlds-data -type f -exec chmod 644 {} \;
	chmod a+x debian/teeworlds-data/usr/share/games/teeworlds/teeworlds_datetime.sh
endif
